# Class Nip46Signer

#### Implements

- ISigner

- Defined in packages/signer/src/signers/nip46.ts:396

#####
Index

### Constructors

constructor

### Properties

broker
nip04
nip44
pubkey?

### Methods

getPubkey
sign

##
Constructors

### constructor

- new Nip46Signer(broker: Nip46Broker ): Nip46Signer

- #### Parameters

  - broker: Nip46Broker

  #### Returns Nip46Signer

  - Defined in packages/signer/src/signers/nip46.ts:399

##
Properties

### broker

broker: Nip46Broker

- Defined in packages/signer/src/signers/nip46.ts:399

### nip04

nip04: {
decrypt: (pk: string, message: string) => Promise<string>;
encrypt: (pk: string, message: string) => Promise<string>;
} = ...

Implementation of ISigner.nip04

- Defined in packages/signer/src/signers/nip46.ts:412

### nip44

nip44: {
decrypt: (pk: string, message: string) => Promise<string>;
encrypt: (pk: string, message: string) => Promise<string>;
} = ...

Implementation of ISigner.nip44

- Defined in packages/signer/src/signers/nip46.ts:417

### `Optional` pubkey

pubkey?: string

- Defined in packages/signer/src/signers/nip46.ts:397

##
Methods

### getPubkey

- getPubkey(): Promise<string>

- #### Returns Promise<string>

  Implementation of ISigner.getPubkey

  - Defined in packages/signer/src/signers/nip46.ts:401

### sign

- sign(template: StampedEvent ): Promise<any>

- #### Parameters

  - template: StampedEvent

  #### Returns Promise<any>

  Implementation of ISigner.sign

  - Defined in packages/signer/src/signers/nip46.ts:409